[ERROR] urls[0] = file:/Failed to execute goal org.eclipse.jetty:jetty-maven-plugin:9.3.7.v20160115:

java错误调试 专栏收录该内容
1 篇文章 0 订阅
[ERROR] Failed to execute goal org.eclipse.jetty:jetty-maven-plugin:9.4.8.v20171121:run-war (default-cli) on project web: Execution default-cli of goal org.eclipse.jetty:jetty-maven-plugin:9.4.8.v20171121:run-war failed: Unable to load the mojo 'run-war' in the plugin 'org.eclipse.jetty:jetty-maven-plugin:9.4.8.v20171121' due to an API incompatibility: org.codehaus.plexus.component.repository.exception.ComponentLookupException: org/eclipse/jetty/maven/plugin/JettyRunWarMojo : Unsupported major.minor version 52.0
[ERROR] -----------------------------------------------------
[ERROR] realm =    plugin>org.eclipse.jetty:jetty-maven-plugin:9.4.8.v20171121
[ERROR] strategy = org.codehaus.plexus.classworlds.strategy.SelfFirstStrategy
[ERROR] urls[0] = file:/D:/Java/repo/org/eclipse/jetty/jetty-maven-plugin/9.4.8.v20171121/jetty-maven-plugin-9.4.8.v20171121.jar
[ERROR] urls[1] = file:/D:/Java/repo/javax/enterprise/cdi-api/1.0/cdi-api-1.0.jar
[ERROR] urls[2] = file:/D:/Java/repo/javax/annotation/jsr250-api/1.0/jsr250-api-1.0.jar
[ERROR] urls[3] = file:/D:/Java/repo/org/eclipse/sisu/org.eclipse.sisu.inject/0.3.3/org.eclipse.sisu.inject-0.3.3.jar
[ERROR] urls[4] = file:/D:/Java/repo/org/codehaus/plexus/plexus-utils/3.0.24/plexus-utils-3.0.24.jar
[ERROR] urls[5] = file:/D:/Java/repo/org/apache/commons/commons-lang3/3.5/commons-lang3-3.5.jar
[ERROR] urls[6] = file:/D:/Java/repo/org/apache/maven/maven-builder-support/3.5.0/maven-builder-support-3.5.0.jar
[ERROR] urls[7] = file:/D:/Java/repo/com/google/guava/guava/20.0/guava-20.0.jar
[ERROR] urls[8] = file:/D:/Java/repo/org/apache/maven/resolver/maven-resolver-util/1.0.3/maven-resolver-util-1.0.3.jar
[ERROR] urls[9] = file:/D:/Java/repo/org/apache/maven/shared/maven-shared-utils/3.1.0/maven-shared-utils-3.1.0.jar
[ERROR] urls[10] = file:/D:/Java/repo/commons-io/commons-io/2.5/commons-io-2.5.jar
[ERROR] urls[11] = file:/D:/Java/repo/com/google/inject/guice/4.0/guice-4.0-no_aop.jar
[ERROR] urls[12] = file:/D:/Java/repo/aopalliance/aopalliance/1.0/aopalliance-1.0.jar
[ERROR] urls[13] = file:/D:/Java/repo/org/codehaus/plexus/plexus-interpolation/1.24/plexus-interpolation-1.24.jar
[ERROR] urls[14] = file:/D:/Java/repo/org/codehaus/plexus/plexus-component-annotations/1.7.1/plexus-component-annotations-1.7.1.jar
[ERROR] urls[15] = file:/D:/Java/repo/org/sonatype/plexus/plexus-sec-dispatcher/1.4/plexus-sec-dispatcher-1.4.jar
[ERROR] urls[16] = file:/D:/Java/repo/org/sonatype/plexus/plexus-cipher/1.4/plexus-cipher-1.4.jar
[ERROR] urls[17] = file:/D:/Java/repo/org/apache/maven/plugin-tools/maven-plugin-tools-api/3.5/maven-plugin-tools-api-3.5.jar
[ERROR] urls[18] = file:/D:/Java/repo/backport-util-concurrent/backport-util-concurrent/3.1/backport-util-concurrent-3.1.jar
[ERROR] urls[19] = file:/D:/Java/repo/org/apache/maven/shared/maven-artifact-transfer/0.9.1/maven-artifact-transfer-0.9.1.jar
[ERROR] urls[20] = file:/D:/Java/repo/org/apache/maven/shared/maven-common-artifact-filters/3.0.1/maven-common-artifact-filters-3.0.1.jar
[ERROR] urls[21] = file:/D:/Java/repo/org/sonatype/sisu/sisu-inject-bean/1.4.2/sisu-inject-bean-1.4.2.jar
[ERROR] urls[22] = file:/D:/Java/repo/org/sonatype/sisu/sisu-guice/2.1.7/sisu-guice-2.1.7-noaop.jar
[ERROR] urls[23] = file:/D:/Java/repo/commons-codec/commons-codec/1.6/commons-codec-1.6.jar
[ERROR] urls[24] = file:/D:/Java/repo/org/eclipse/jetty/jetty-util/9.4.8.v20171121/jetty-util-9.4.8.v20171121.jar
[ERROR] urls[25] = file:/D:/Java/repo/org/eclipse/jetty/jetty-webapp/9.4.8.v20171121/jetty-webapp-9.4.8.v20171121.jar
[ERROR] urls[26] = file:/D:/Java/repo/org/eclipse/jetty/jetty-xml/9.4.8.v20171121/jetty-xml-9.4.8.v20171121.jar
[ERROR] urls[27] = file:/D:/Java/repo/org/eclipse/jetty/jetty-servlet/9.4.8.v20171121/jetty-servlet-9.4.8.v20171121.jar
[ERROR] urls[28] = file:/D:/Java/repo/org/eclipse/jetty/jetty-quickstart/9.4.8.v20171121/jetty-quickstart-9.4.8.v20171121.jar
[ERROR] urls[29] = file:/D:/Java/repo/org/eclipse/jetty/jetty-jaas/9.4.8.v20171121/jetty-jaas-9.4.8.v20171121.jar
[ERROR] urls[30] = file:/D:/Java/repo/org/eclipse/jetty/jetty-security/9.4.8.v20171121/jetty-security-9.4.8.v20171121.jar
[ERROR] urls[31] = file:/D:/Java/repo/org/eclipse/jetty/jetty-plus/9.4.8.v20171121/jetty-plus-9.4.8.v20171121.jar
[ERROR] urls[32] = file:/D:/Java/repo/org/eclipse/jetty/jetty-jndi/9.4.8.v20171121/jetty-jndi-9.4.8.v20171121.jar
[ERROR] urls[33] = file:/D:/Java/repo/org/eclipse/jetty/jetty-server/9.4.8.v20171121/jetty-server-9.4.8.v20171121.jar
[ERROR] urls[34] = file:/D:/Java/repo/javax/servlet/javax.servlet-api/3.1.0/javax.servlet-api-3.1.0.jar
[ERROR] urls[35] = file:/D:/Java/repo/org/eclipse/jetty/jetty-http/9.4.8.v20171121/jetty-http-9.4.8.v20171121.jar
[ERROR] urls[36] = file:/D:/Java/repo/org/eclipse/jetty/jetty-io/9.4.8.v20171121/jetty-io-9.4.8.v20171121.jar
[ERROR] urls[37] = file:/D:/Java/repo/org/eclipse/jetty/jetty-jmx/9.4.8.v20171121/jetty-jmx-9.4.8.v20171121.jar
[ERROR] urls[38] = file:/D:/Java/repo/org/eclipse/jetty/jetty-annotations/9.4.8.v20171121/jetty-annotations-9.4.8.v20171121.jar
[ERROR] urls[39] = file:/D:/Java/repo/javax/annotation/javax.annotation-api/1.2/javax.annotation-api-1.2.jar
[ERROR] urls[40] = file:/D:/Java/repo/org/ow2/asm/asm/6.0/asm-6.0.jar
[ERROR] urls[41] = file:/D:/Java/repo/org/ow2/asm/asm-commons/6.0/asm-commons-6.0.jar
[ERROR] urls[42] = file:/D:/Java/repo/org/ow2/asm/asm-tree/6.0/asm-tree-6.0.jar
[ERROR] urls[43] = file:/D:/Java/repo/org/eclipse/jetty/websocket/javax-websocket-server-impl/9.4.8.v20171121/javax-websocket-server-impl-9.4.8.v20171121.jar
[ERROR] urls[44] = file:/D:/Java/repo/org/eclipse/jetty/websocket/javax-websocket-client-impl/9.4.8.v20171121/javax-websocket-client-impl-9.4.8.v20171121.jar
[ERROR] urls[45] = file:/D:/Java/repo/javax/websocket/javax.websocket-client-api/1.0/javax.websocket-client-api-1.0.jar
[ERROR] urls[46] = file:/D:/Java/repo/javax/websocket/javax.websocket-api/1.0/javax.websocket-api-1.0.jar
[ERROR] urls[47] = file:/D:/Java/repo/org/eclipse/jetty/websocket/websocket-server/9.4.8.v20171121/websocket-server-9.4.8.v20171121.jar
[ERROR] urls[48] = file:/D:/Java/repo/org/eclipse/jetty/websocket/websocket-common/9.4.8.v20171121/websocket-common-9.4.8.v20171121.jar
[ERROR] urls[49] = file:/D:/Java/repo/org/eclipse/jetty/websocket/websocket-api/9.4.8.v20171121/websocket-api-9.4.8.v20171121.jar

解决方法,pom.xml中的jetty版本与maven的不兼容,这时候需要更换下面代码中的版本即可,我的是更换成

<plugin>
          <groupId>org.eclipse.jetty</groupId>
          <artifactId>jetty-maven-plugin</artifactId>
          <version>9.4.8.v20171121</version>
</plugin>

更换成

<version>9.3.0.M0</version>
  • 1
    点赞
  • 0
    评论
  • 1
    收藏
  • 打赏
    打赏
  • 扫一扫,分享海报

©️2022 CSDN 皮肤主题:编程工作室 设计师:CSDN官方博客 返回首页

打赏作者

river472242652

你的鼓励将是我创作的最大动力

¥2 ¥4 ¥6 ¥10 ¥20
输入1-500的整数
余额支付 (余额:-- )
扫码支付
扫码支付:¥2
获取中
扫码支付

您的余额不足,请更换扫码支付或充值

打赏作者

实付
使用余额支付
点击重新获取
扫码支付
钱包余额 0

抵扣说明:

1.余额是钱包充值的虚拟货币,按照1:1的比例进行支付金额的抵扣。
2.余额无法直接购买下载,可以购买VIP、C币套餐、付费专栏及课程。

余额充值